﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Encompass
{
    internal static class EntityChecker
    {
        public static bool CheckEntity(Entity entity, IEnumerable<Type> componentTypes)
        {
            return componentTypes.All((componentType) => entity.HasComponent(componentType));
        }
    }
}
